Package org.apache.lucene.analysis.fr

## Class FrenchLightStemmer

- java.lang.Object
- - org.apache.lucene.analysis.fr.FrenchLightStemmer

-     public class FrenchLightStemmer
      extends Object

  Light Stemmer for French.

  This stemmer implements the "UniNE" algorithm in: Light Stemming Approaches for the French, Portuguese, German and Hungarian Languages Jacques Savoy

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FrenchLightStemmer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `stem​(char[] s, int len)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FrenchLightStemmer

          public FrenchLightStemmer()

  - ### Method Detail

    - #### stem

          public int stem​(char[] s,
                          int len)